# install_app

Install an app build (.ipa, .app or .apk) from a path on this Mac.

Install an app build (.ipa, .app or .apk) from a path on this Mac.

| | |
|---|---|
| REST operation | [`installApp`](/reference/rest/devices/#installapp) (`POST /v1/devices/{deviceId}/apps`) |
| Needs a device | yes |
| Read only | no |
| Profiles | `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `path` | yes | string | body `path` | Absolute path on this Mac. Refused over the relay. |
| `launch` | no | boolean | body `launch` |  |

## Example call

```text
install_app({ device_id: "ios:00008120-001A2B3C4D5E6F70", path: … })
```